base-compat-0.10.5: A compatibility layer for base

Safe Haskell | Trustworthy
Language | Haskell98

Control.Exception.Compat

Synopsis

- module Control.Exception
- throw :: Exception e => e -> a

# Documentation

module Control.Exception

throw :: Exception e => e -> a Source #

Throw an exception. Exceptions may be thrown from purely functional code, but may only be caught within the `IO` monad.